# Publish a custom payment method type Publish the latest draft revision of a specific custom payment method type. Endpoint: PUT /open-payment-method-types/publish/{paymentMethodTypeName} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Path parameters: - `paymentMethodTypeName` (string, required) The API name of the custom payment method type, such as AmazonPay__c_12368. ## Response 200 fields (application/json): - `entityId` (string) If an entity UUID is provided, this custom payment method type is specific to this entity only. If no entity UUID is provided, the custom payment method type is available to the global entity and all the sub entities in the tenant. - `fields` (array) An array containing field metadata of the custom payment method type. - `fields.checksum` (boolean) The checksum value of a payment method is used to identify if this payment method is the same as another one, or if this payment method is altered to another new payment method. For example, if you select the credit card number and expiration date as the checksum fields for the CreditCard payment method type, when you modified the expiration date, Zuora considers this payment method as a different payment method compared to the original one. - `fields.defaultValue` (string) The default value of the field. - `fields.description` (string) An explanation of this field. - `fields.editable` (boolean) Specify true if this field can be updated through PUT API or UI. Note: If editable is set to false, you can specify the value of this field in the UI and POST API when creating a payment method. However, after you created the payment method, you cannot edit this field through PUT API or UI. - `fields.index` (integer) The order of the field in this type, starting from 1. - `fields.label` (string) The label that is used to refer to this field in the Zuora UI. - `fields.maxLength` (integer) A maximum length limitation of the field value. - `fields.minLength` (integer) A minimal length limitation of the field value. - `fields.name` (string) The API name of this field. It must be uinique. - `fields.representer` (boolean) This flag determines whether this field will be used for identifying this payment method in the Zuora UI. The field will be shown in the Payment Method field in the UI. - `fields.required` (boolean) Specify whether this field is required. - `fields.type` (string) The type of this field. Enum: "string", "date", "datetime", "number", "boolean" - `fields.visible` (boolean) Specify true if this field can be retrieved through GET API or UI for displaying payment method details. Notes: - If visible is set to false, you can still specify the value of this field in the UI and POST API when creating the payment method. - If visible is set to false and editable is set to true, this field is not accessible through GET API or UI for displaying details, but you can still see it and edit the value in the UI and PUT API when updating this payment method. - `internalName` (string) A string to identify the custom payment method type in the API name of the payment method type. This field is used along with the tenantId field by the system to construct and generate the API name of the custom payment method type in the following way: __c_ For example, if internalName is AmazonPay, and tenantId is 12368, the API name of the custom payment method type will be AmazonPay__c_12368. - `label` (string) The label that is used to refer to this type in the Zuora UI. - `methodReferenceIdField` (string) The identification reference of the custom payment method. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Payment Method Data Source Exports and Data Query. - `revision` (integer) The revision number of the custom payment method type, which starts from 1 and increases by 1 when you update a published revision for the first time. - `status` (string) The status of the custom payment method type. - `subTypeField` (string) The identification reference indicating the subtype of the custom payment method. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Data Source Exports and Data Query. - `tenantId` (string) Zuora tenant ID. If multi-entity is enabled in your tenant, this is the ID of the parent tenant of all the sub entities. - `userReferenceIdField` (string) The identification reference of the user or customer account. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Data Source Exports and Data Query. - `version` (string) The time when the custom payment method type was first published.